definitions:
  datasets:
    implanted_ostmeyer:
      format: Pickle
      params:
        metadata_file: simulated_data/repertoire_implanting_rate__1e-05_-_motifs__kmer1_size_3_kmer2_size_3_kmer3_size_3/sim_instruction/exported_dataset/pickle/complex_kmer_size_metadata.csv
        path: simulated_data/repertoire_implanting_rate__1e-05_-_motifs__kmer1_size_3_kmer2_size_3_kmer3_size_3/sim_instruction/exported_dataset/pickle/complex_kmer_size.iml_dataset
  encodings:
    feature_size_4:
      KmerFrequency:
        k: 3
        scale_to_unit_variance: true
        scale_to_zero_mean: true
    my_mr_encoding:
      MatchedRegex:
        match_v_genes: false
        motif_filepath: olga/run_1/motif_file_complex_kmer_size.txt
        sum_counts: true
  ml_methods:
    logistic_regression:
      LogisticRegression:
        C:
        - 5
        - 1
        - 0.1
        - 0.05
        max_iter: 500
        penalty: l1
      model_selection_cv: true
      model_selection_n_folds: 5
  reports:
    my_coef_report:
      Coefficients:
        coefs_to_plot:
        - n_largest
        n_largest:
        - 15
    my_hp_benchmark: MLSettingsPerformance
    my_match_report: Matches
instructions:
  hpoptim_instr:
    assessment:
      reports:
        models:
        - my_coef_report
      split_count: 5
      split_strategy: k_fold
      training_percentage: 0.7
    dataset: implanted_ostmeyer
    labels:
    - signal_cancer
    metrics:
    - auc
    - recall
    number_of_processes: 16
    optimization_metric: accuracy
    refit_optimal_model: false
    reports:
    - my_hp_benchmark
    selection:
      split_count: 1
      split_strategy: random
      training_percentage: 1.0
    settings:
    - encoding: feature_size_4
      ml_method: logistic_regression
    store_encoded_data: false
    strategy: GridSearch
    type: TrainMLModel
  instruction_1:
    analyses:
      signal_freq:
        dataset: implanted_ostmeyer
        encoding: my_mr_encoding
        labels:
        - signal_cancer
        report: my_match_report
    type: ExploratoryAnalysis
